package com.bonus.face.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.face.domain.FaceDataEntity;

import java.util.List;


/**
 * Service接口
 *
 * @author bonus
 * @date 2024-12-06
 */
public interface FaceDataService
{
    /**
     * 查询
     *
     * @param faceId 主键
     * @return 
     */
    public AjaxResult selectFaceDataByFaceId(Long faceId);

    /**
     * 查询列表
     *
     * @param faceData 
     * @return 集合
     */
    public List<FaceDataEntity> selectFaceDataList(FaceDataEntity faceData);

    /**
     * 新增
     *
     * @param faceData 
     * @return 结果
     */
    public AjaxResult insertFaceData(FaceDataEntity faceData);

    /**
     * 修改
     *
     * @param faceData 
     * @return 结果
     */
    public AjaxResult updateFaceData(FaceDataEntity faceData);

    /**
     * 批量删除
     *
     * @param faceIds 需要删除的主键集合
     * @return 结果
     */
    public AjaxResult deleteFaceDataByFaceIds(Long[] faceIds);
}

